//
//  SlipboxProjectApp.swift
//  SlipboxProject
//
//  Created by Karin Prater on 18.11.22.
//

import SwiftUI

@main
struct SlipboxProjectApp: App {
    
    let persistenceController = PersistenceController.shared

    @Environment(\.scenePhase) var scenePhase
    
    var body: some Scene {
        WindowGroup {
            ContentView()
                .environment(\.managedObjectContext, persistenceController.container.viewContext)
        }
        .onChange(of: scenePhase) { newScenePhase in
            
            if newScenePhase == .background {
                persistenceController.save()
            }
            
        }
        .commands {
            CommandGroup(replacing: .saveItem) {
                Button("Save") {
                    persistenceController.save()
                }
                .keyboardShortcut("S", modifiers: [.command])
            }
        }
    }
}
